Redirect bug. Pre-redirect title shown.
Closed, ResolvedPublic

Description

If you search for "Malia Obama", it redirects to "Family of Barack Obama", but the title we show is still "Malia Obama".

Acceptance Criteria:
Search Item View
Scenario: Redirects

Given that I have entered a search $query
When that $query result includes a page with a redirect
Then I should see a list item with the redirect title
And subhead text with “Redirected from: $query”

Mhurd created this task.Sep 1 2015, 4:07 PM
Mhurd updated the task description. (Show Details)
Mhurd raised the priority of this task from to Needs Triage.
Mhurd moved this task to Needs Estimation on the Wikipedia-iOS-App-Backlog board.
Mhurd added a subscriber: Mhurd.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 1 2015, 4:07 PM
JMinor updated the task description. (Show Details)Oct 23 2015, 9:27 PM
JMinor triaged this task as Normal priority.
JMinor updated the task description. (Show Details)Oct 23 2015, 9:30 PM
JMinor updated the task description. (Show Details)Oct 23 2015, 9:57 PM

Checked with 5.0.0.434 on iPhone 5 iOS 9.02

Before the fix - 4.1.7(171)

After the fix - 5.0.0.434

Note: the fix fixed the #1 of T97601 "Search deficiencies - not most relevant results are returned"

JMinor closed this task as Resolved.Nov 18 2015, 8:55 PM
JMinor added a project: iOS-app-v5-alpha.